Bug 1010824 - virsh suspend command should raise error for paused VM
virsh suspend command should raise error for paused VM
Status: CLOSED NOTABUG
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 02:55 EDT by liumbj
Modified: 2013-10-07 09:47 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-07 09:47:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description liumbj 2013-09-23 02:55:33 EDT
Description of problem:
virsh suspend command should raise error for paused VM. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.# virsh list --all
 Id    Name                           State
----------------------------------------------------
 12    vm1                            running

2.# virsh suspend vm1
Domain vm1 suspended

3.#virsh suspend vm1
Domain vm1 suspended

4. echo $?
0

5.# virsh list --all
 Id    Name                           State
----------------------------------------------------
 12    vm1                            paused

Actual results:
No error information.

Expected results:
Error is raised.

Additional info:
Comment 1 Cole Robinson 2013-10-04 16:51:39 EDT
Not particularly important for Fedora, so moving to the upstream tracker.
Comment 2 Dave Allan 2013-10-07 09:47:32 EDT
Closing as NOTABUG per the upstream discussion at:

https://www.redhat.com/archives/libvir-list/2013-October/msg00224.html

Note You need to log in before you can comment on or make changes to this bug.